Package org.drinkless.tdlib

# Class TdApi.BackgroundFillFreeformGradient

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BackgroundFill
org.drinkless.tdlib.TdApi.BackgroundFillFreeformGradient

Enclosing class:
  `TdApi`

public static class TdApi.BackgroundFillFreeformGradient extends TdApi.BackgroundFill
Describes a freeform gradient fill of a background.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.BackgroundFill

  `TdApi.BackgroundFill.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int[]`
  `colors`
  A list of 3 or 4 colors of the freeform gradient in the RGB format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackgroundFillFreeformGradient()`
  Describes a freeform gradient fill of a background.
  `BackgroundFillFreeformGradient(int[] colors)`
  Describes a freeform gradient fill of a background.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### colors

    public int[] colors
    A list of 3 or 4 colors of the freeform gradient in the RGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BackgroundFillFreeformGradient

    public BackgroundFillFreeformGradient()
    Describes a freeform gradient fill of a background.

  - ### BackgroundFillFreeformGradient

    public BackgroundFillFreeformGradient(int[] colors)
    Describes a freeform gradient fill of a background.
    Parameters:
      `colors` - A list of 3 or 4 colors of the freeform gradient in the RGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.BackgroundFill`
    Returns:
      this.CONSTRUCTOR